Skip to content

List JSON import profiles.

GET
/api/workspace/entity/{entityIdOrKey}/data-transfer/import-profiles
curl --request GET \
--url https://example.com/api/workspace/entity/example/data-transfer/import-profiles

Returns active JSON data transfer profiles that support import for one runtime entity definition.

  • None
entityIdOrKey
required
string

Entity definition identifier or normalized entity key.

access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime metadata for a data transfer profile that can be used from an entity record surface.

object
Id

Profile identifier.

string
nullable
Name

User-facing profile name.

string
nullable
Key

Stable profile key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1 2
Format
integer format: int32
Allowed values: 0 1
IdentityMode
integer format: int32
Allowed values: 0 1 2
FieldCount

Number of fields selected in the profile.

integer format: int32
Description

Optional user-facing workflow description.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Direction": 0,
"Format": 0,
"IdentityMode": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime metadata for a data transfer profile that can be used from an entity record surface.

object
Id

Profile identifier.

string
nullable
Name

User-facing profile name.

string
nullable
Key

Stable profile key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1 2
Format
integer format: int32
Allowed values: 0 1
IdentityMode
integer format: int32
Allowed values: 0 1 2
FieldCount

Number of fields selected in the profile.

integer format: int32
Description

Optional user-facing workflow description.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Direction": 0,
"Format": 0,
"IdentityMode": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime metadata for a data transfer profile that can be used from an entity record surface.

object
Id

Profile identifier.

string
nullable
Name

User-facing profile name.

string
nullable
Key

Stable profile key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1 2
Format
integer format: int32
Allowed values: 0 1
IdentityMode
integer format: int32
Allowed values: 0 1 2
FieldCount

Number of fields selected in the profile.

integer format: int32
Description

Optional user-facing workflow description.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"Direction": 0,
"Format": 0,
"IdentityMode": 0
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}